2023-01-30 13:29 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005532FateGatesOfDawn[All Projects] Generalpublic2022-12-06 12:10
ReporterExcolion 
Assigned ToPsygoreProject InfoFate: Gates Of Dawn (reLINE)
http://www.whdload.de/games/FateGatesOfDawn.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
Summary0005532: Single mouse click registers more than once, causing multiple selection in the menu
DescriptionHello, I have been reluctant to open an issue for this for years, but I've spent too much time trying to figure it out, both offline and online, and I finally gave up. I'm not even sure if it is a bug or a feature, but if somehow I can get some closure, either positive or negative, I'll be really thankful to you.

The problem: in the game menu, when you click on an option once, it registers more than once, causing you to go one layer deeper in the menu. This causes mouse navigation a torture when it chooses additional options by itself, which you did not want to click on.

What I tried: Many input options in WinUAE, tried to slow the game down in case it would help, even used a 3rd party app to prevent mouse's "hold down" property. No avail.

Example: Going to a character screen and to Armaments -> Ready -> Weapon , there is an option to toggle between Primary and Secondary weapons. When you click on Primary, it is supposed to pass to Secondary and vice-versa. But due to the problem I wrote above, after clicking "Primary" button, it goes to Secondary and quickly goes back to Primary, actively clicking by itself one more time. It is even worse if you do not leave your finger from the left mouse button quickly, it registers clicks more than twice. This is the same with other Menu options as well (although they wait a tiny bit longer for the second click to register)

My thoughts: I know many people prefer 1-8 number keys to navigate in the menus but mouse navigation is a feature and it should work correctly. And I'd understand if it is a feature, since on adventure mode (out of the menus) being able to hold down mouse button on the forward arrow to go forward continuously
is a nice thing. But it simply does not work properly in the menus, and I think it should.

If a permanent fix for this is not possible, maybe an option would be added at startup, let's say "disable hold-down effect of mouse", it would benefit all the players of this great game.

Or if there is an option I can choose in WinUAE to mitigate this problem, please kindly share it with me so I can finally play this game properly with mouse.

My set-up: Classic Workbench FULL, WinUAE 4.2.1 .

I thank you for your time.
Steps To Reproducein the game, open menu and hold down LMB on an option to see that it will keep clicking until the deepest menu item
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed14
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad17.1
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0010994

Excolion (reporter)

I forgot to add, I also opened a ticket for this game (#0005531) for a different error, maybe these two problems would be addressed in one go :) just a heads-up. Thanks again.

note ~0011007

Excolion (reporter)

Update: #0005531 is fixed by updating WHDLOAD version. So, only this ticket's issue remains for me regarding FGoD, any update is appreciated

note ~0011504

Excolion (reporter)

Since the issue is not assigned after 3+ months, I wanted to bump in case the issue is forgotten. Is there a possibility to fix this?

note ~0011536

Psygore (developer)

Attached a new slave 1.2, could you pls try it ?

It should work better when using the mouse button.

note ~0011538

Excolion (reporter)

Psygore, thank you for your reply. I've tested it and I'm listing the details below.
Some portions of the menu are indeed working better than before, single click no longer registers more than once unless I hold down the mouse button purposefully.
Some portions of the menu are still problematic, single clicks tend to register more than once. I'll note the fixed buttons as [OK] and note the problematic buttons as [NOK]:

Armaments [OK] -> Ready [OK] -> Weapon [OK] -> Primary/Secondary [NOK]
Armaments [OK] -> Ready [OK] -> Armor [OK] -> Primary/Secondary [NOK]
Armaments [OK] -> Drop [NOK]
Armaments [OK] -> Items (I could not try this because I don't have a savegame with a bunch of items listed to test. At the beginning, this list is empty, therefore I can't test if mouseclick registers here once or more than once)

All other menu items, including dialogue menus with NPCs, seem to work without any significant issues.

Some notes:
As for the Primary/Secondary button, the screen refresh rate (once a mouse click is done) is visibly lower than the previous version, which is nice, but still it seems not to be enough to fix this specific menu item even though it helps for the other menu items.

The [NOK] buttons I wrote above were problematic once I started a new game. To test it, I played for about 20-30 minutes, fiddled with the menu options and just walked around in the wilderness, then coincidentally I noticed that those buttons' problem had vanished! I mean, Drop button and Primary/Secondary buttons started working flawlessly - meaning one register for each click! Then I quit the game, reentered, started a new game and the problems reappeared. I don't know what triggered their temporary fix, I thought maybe it happened after seeing Disk Access Icon a few times but I could not get it to work again. But it gave me hope that it is indeed close to be fixed permanently.

I wish I saved the game after the buttons were fixed to see if reloading that game after a restart would "keep" the fix or not. Oh well..

Please let me know if further testing is needed to fix the remaining buttons.

note ~0011539

Psygore (developer)

Thanks for your tests.

Attached a new slave, primary/secondary issue should be ok now.

Let me know if there are other issues.

note ~0011540

retrogamer (reporter)

Hi Psygore!

Quitkey is not working not working properly for 68000 it does work but only if you press the quitkey rapidly direct after the whdload splash screen.

Is it possible to reduce chipmem usage to 512kb+512kb fast?

I have attatched Manual and Solution files for the game please can you include themin the install package?

note ~0011541

Excolion (reporter)

Hello, I downloaded the slave you attached at 2022-07-09 16:45 , replaced the previous slave. I think I did everything right (at least I followed the same steps with the previous release) but the two problems I wrote about are still present. Primary/Secondary and Drop buttons register more than once after I click. It acts like nothing has changed from my previous tests. I hope I'm not missing anything?

note ~0011556

Psygore (developer)

Attached a new slave: 68000 quitkey will work, for mouse tests: use only english version.

Tell me if you are using winuae or real amiga for the mouse tests.

Solution & manual files will be included (thx for the files).

note ~0011559

Excolion (reporter)

Hello, I always used English version. I downloaded FateGatesOfDawn_v1.1_2842.lha from mega.nz repository, and replaced its slave with your attached slave. I use WinUAE 4.91, WHDLoad 18.8, Classic WB and use igame to play games. The rest of the info is the same with what I wrote in the ticket form.

After testing your latest slave, Primary/Secondary and Drop buttons are still acting the same (multiple selection per click), meaning the problem still continues.. All other buttons work without issues.

One thing I noticed, let's say normally when we click mouse button, it takes 5 milliseconds to raise our finger / release the click (maybe longer, maybe shorter but let's say 5 for this example since I can't measure it accurately :) ). In this time window, the problematic menu buttons register more than once. But if I carefully release the mouse button earlier than this normal window, let's say in 2 ms, then the buttons "may" register only once. Not always works, but I've seen it work. But it is very hard to release the mouse button in a "shorter than comfortable" time and it will be harder to maintain it all through the game. So the question is, if the solution lies here and if that time window before the "second register" can be increased (let's say to between 5-10 ms in my example above). Or maybe make them the same with the other menu buttons' times since they work perfectly. Just throwing ideas around :)

Thanks for your replies.

note ~0011566

Psygore (developer)

Thanks for testing.

I managed to reproduce your issue and added a fix.

I will attach some other slaves (512k chip/512k fast, 1mb chip and 512k chip only) here when they will be ready.

note ~0011576

Psygore (developer)

Attached new slave, mouse button issue should be fixed, standard slave will use fastmem for main prog and some data now.

note ~0011577

Excolion (reporter)

Ayy I can't believe it! It is finally fixed! The buttons are silky smooth with one register per normal click. One of the few games I could not manage to finish in my childhood is now one step closer to be finished. I really appreciate your efforts Psygore!

And just to humbly remind, I hope you'll apply the fix to the Uncensored version as well. That is the one I normally use :)

I wish you a great day!

note ~0011795

Excolion (reporter)

Hello, just a reminder to update the install packages for Normal and Uncensored versions :) Thanks

note ~0012058

Paul Head (reporter)

New slave version 1.2 appears to make it more difficult to move about, it's particularly noticeable with the arrow keys. The game feels sluggish in responses to the arrow keys in particular.
I don't know this game at all, I only discovered it a couple of days ago, but A-B comparison of old slave and new shows an issue here with slave 1.2 on my A1200 with FastRAM.

note ~0012062

Excolion (reporter)

@Paul Head, I see what you mean. I have the same setup and the same thing with you but I remember all those years ago, on real amiga, the game movement was almost exactly the same with slave 1.2 movement speed. I remember I had to time it correctly just to move another step after one as soon as the current step ended. If I timed it wrong, the button would not register and I had to click again. It felt annoying sometimes but it was what it was.

As a workaround, you can press and hold the arrow keys with mouse button for continuous movement. It works fast enough.

The previous slave movement was too fast compared to the original game speed. So, as far as I'm concerned, it is back to normal now and completely playable for me. Thanks for the update Psygore!

note ~0012063

Paul Head (reporter)

How interesting. Well, like I say I can't comment having not owned the original, except for it now appears sluggish. If that's how it is, then that's how it is. We were all gluttons for punishment in those days. :)
Thanks for the tip I'll try it out.
+Notes

-Issue History
Date Modified Username Field Change
2022-03-11 20:09 Excolion New Issue
2022-03-11 20:11 Excolion Note Added: 0010994
2022-03-13 22:29 Excolion Note Added: 0011007
2022-06-29 07:38 Excolion Note Added: 0011504
2022-07-08 11:41 StingRay Assigned To => Psygore
2022-07-08 11:41 StingRay Status new => assigned
2022-07-09 09:10 Psygore File Added: FateGatesofDawn12.lha
2022-07-09 09:12 Psygore Note Added: 0011536
2022-07-09 14:32 Excolion Note Added: 0011538
2022-07-09 16:45 Psygore File Deleted: FateGatesofDawn12.lha
2022-07-09 16:45 Psygore File Added: FateGatesofDawn12.lha
2022-07-09 16:47 Psygore Note Added: 0011539
2022-07-09 18:03 retrogamer File Added: Solution.zip
2022-07-09 18:03 retrogamer Note Added: 0011540
2022-07-09 18:03 retrogamer File Added: Manual.zip
2022-07-09 18:03 Excolion Note Added: 0011541
2022-07-13 07:16 Psygore File Deleted: FateGatesofDawn12.lha
2022-07-13 07:18 Psygore File Added: FateGatesofDawn12.lha
2022-07-13 07:22 Psygore Note Added: 0011556
2022-07-13 08:23 Excolion Note Added: 0011559
2022-07-16 13:40 Psygore Note Added: 0011566
2022-07-18 13:12 Psygore File Deleted: FateGatesofDawn12.lha
2022-07-18 13:13 Psygore File Added: FateGatesofDawn12.lha
2022-07-18 13:15 Psygore Note Added: 0011576
2022-07-18 18:24 Excolion Note Added: 0011577
2022-10-02 05:21 Excolion Note Added: 0011795
2022-12-05 12:11 Paul Head Note Added: 0012058
2022-12-06 06:26 Excolion Note Added: 0012062
2022-12-06 12:10 Paul Head Note Added: 0012063
+Issue History